--- a/glibconfig.h	2021-08-14 06:13:09.000000000 -0700
+++ b/glibconfig.h	2021-08-21 01:21:21.000000000 -0700
@@ -58,31 +58,15 @@
 
 #define G_HAVE_GINT64 1          /* deprecated, always true */
 
-#ifdef __LP64__
-typedef signed long gint64;
-typedef unsigned long guint64;
-#else
 G_GNUC_EXTENSION typedef signed long long gint64;
 G_GNUC_EXTENSION typedef unsigned long long guint64;
-#endif
 
-#ifdef __LP64__
-#define G_GINT64_CONSTANT(val)	(val##L)
-#define G_GUINT64_CONSTANT(val)	(val##UL)
-#else
 #define G_GINT64_CONSTANT(val)	(G_GNUC_EXTENSION (val##LL))
 #define G_GUINT64_CONSTANT(val)	(G_GNUC_EXTENSION (val##ULL))
-#endif
 
-#ifdef __LP64__
-#define G_GINT64_MODIFIER "l"
-#define G_GINT64_FORMAT "li"
-#define G_GUINT64_FORMAT "lu"
-#else
 #define G_GINT64_MODIFIER "ll"
 #define G_GINT64_FORMAT "lli"
 #define G_GUINT64_FORMAT "llu"
-#endif
 
 #ifdef __LP64__
 #define GLIB_SIZEOF_VOID_P 8
@@ -117,39 +101,18 @@
 
 #define G_POLLFD_FORMAT "%d"
 
-#ifdef __LP64__
-#define GPOINTER_TO_INT(p)	((gint)  (glong) (p))
-#define GPOINTER_TO_UINT(p)	((guint) (gulong) (p))
-#else
-#define GPOINTER_TO_INT(p)	((gint)  (gint) (p))
-#define GPOINTER_TO_UINT(p)	((guint) (guint) (p))
-#endif
+#define GPOINTER_TO_INT(p)	((gint)  (gint64) (p))
+#define GPOINTER_TO_UINT(p)	((guint) (guint64) (p))
 
-#ifdef __LP64__
-#define GINT_TO_POINTER(i)	((gpointer) (glong) (i))
-#define GUINT_TO_POINTER(u)	((gpointer) (gulong) (u))
-#else
-#define GINT_TO_POINTER(i)	((gpointer) (gint) (i))
-#define GUINT_TO_POINTER(u)	((gpointer) (guint) (u))
-#endif
+#define GINT_TO_POINTER(i)	((gpointer) (gint64) (i))
+#define GUINT_TO_POINTER(u)	((gpointer) (guint64) (u))
 
-#ifdef __LP64__
-typedef signed long gintptr;
-typedef unsigned long guintptr;
-#else
-typedef signed int gintptr;
-typedef unsigned int guintptr;
-#endif
+typedef signed long long gintptr;
+typedef unsigned long long guintptr;
 
-#ifdef __LP64__
-#define G_GINTPTR_MODIFIER      "l"
-#define G_GINTPTR_FORMAT        "li"
-#define G_GUINTPTR_FORMAT       "lu"
-#else
-#define G_GINTPTR_MODIFIER      ""
-#define G_GINTPTR_FORMAT        "i"
-#define G_GUINTPTR_FORMAT       "u"
-#endif
+#define G_GINTPTR_MODIFIER      "I64"
+#define G_GINTPTR_FORMAT        "I64i"
+#define G_GUINTPTR_FORMAT       "I64u"
 
 #define GLIB_MAJOR_VERSION 2
 #define GLIB_MINOR_VERSION 62
